# $Revision: 1.32 $, $Date: 2010/05/16 11:15:52 $
#
# TODO: package rest of files
#
%define		manual_version	1.5.5
Summary:	Full featured image library
Summary(pl.UTF-8):	Biblioteka obsługi obrazów z mnóstwem funkcji
Name:		DevIL
Version:	1.7.8
Release:	1
License:	LGPL v2.1
Group:		Libraries
Source0:	http://downloads.sourceforge.net/openil/%{name}-%{version}.tar.gz
# Source0-md5:	7918f215524589435e5ec2e8736d5e1d
Source1:	http://downloads.sourceforge.net/openil/%{name}-Manual-%{manual_version}.zip
# Source1-md5:	6bb2ddfcbe09930c48ef84b8f99479fe
Source2:	http://downloads.sourceforge.net/openil/%{name}-docs.tar.gz
# Source2-md5:	eec6ae7a028a3f058bab1a6918428ed5
Patch0:		%{name}-gnu-inline.patch
Patch1:		libpng14.patch
URL:		http://openil.sourceforge.net/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	SDL-devel >= 1.2.5
BuildRequires:	allegro-devel >= 4.1.16
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	jasper-devel
BuildRequires:	lcms-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmng-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.533
BuildRequires:	sed >= 4.0
BuildRequires:	unzip
Requires:	allegro >= 4.1.16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
Developer's Image Library (DevIL) is a programmer's library to develop
applications with very powerful image loading capabilities, yet is
easy for a developer to learn and use. Ultimate control of images is
left to the developer, so unnecessary conversions, etc. are not
performed. DevIL utilizes a simple, yet powerful, syntax. DevIL can
load, save, convert, manipulate, filter and display a wide variety of
image formats.

Currently, DevIL can load .bmp, .cut, .dds, .doom, .gif, .ico, .icns,
.jp2, .jpg, .lbm, .mdl, .mng, .pal, .pbm, .pcd, .pcx, .pgm, .pic,
.png, .ppm, .psd, .psp, .raw, .sgi, .tga and .tif files.

Formats supported for saving include .bmp, .dds, .h, .jpg, .pal, .pbm,
.pcx, .pgm, .png, .ppm, .raw, .sgi, .tga and .tif.

%description -l pl.UTF-8
Developer's Image Library (DevIL) jest biblioteką programisty
pozwalającą tworzyć aplikacje z potężnymi możliwościami ładowania
obrazów. Pozostaje przy tym łatwa w użyciu i prosta do nauczenia się.
Ostateczna kontrola nad obrazami jest zostawiona programiście, nie
wprowadza się niepotrzebnych konwersji, itp. DevIL używa prostej, lecz
potężnej składni poleceń, wzorowanej na OpenGL-u. DevIL potrafi
ładować, zapisywać, konwertować, manipulować, filtrować szeroki
wachlarz formatów plików graficznych.

W chwili obecnej DevIL odczytuje pliki z rozszerzeniami bmp, cut, dds,
doom, gif, icns, ico, jp2, jpg, lbm, mdl, mng, pal, pbm, pcd, pcx,
pgm, pic, png, ppm, psd, psp, raw, sgi, tga i tif.

Wspierane jest zapisywanie do plików bmp, dds, h, jpg, pal, pbm, pcx,
pgm, png, ppm, raw, sgi, tga i tif.

%package devel
Summary:	DevIL devel files
Summary(pl.UTF-8):	Nagłówki DevIL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	jasper-devel
Requires:	lcms-devel
Requires:	libjpeg-devel
Requires:	libmng-devel
Requires:	libpng-devel
Requires:	libtiff-devel
# libILUT additionally: SDL-devel, allegro-devel, OpenGL-GLU-devel

%description devel
DevIL devel files.

%description devel -l pl.UTF-8
Nagłówki DevIL.

%package doc
Summary:	DevIL documentation
Summary(pl.UTF-8):	Dokumentacja DevIL
Group:		Documentation

%description doc
DevIL documentation.

%description doc -l pl.UTF-8
Dokumentacja DevIL.

%prep
%setup -q -c -a1 -a2
%patch0 -p1
%patch1 -p1

# lpng12 -> lpng
%{__sed} -i 's,png12,png,' devil-%{version}/m4/devil-definitions.m4

# just SDL and messing libtool macros
rm -f acinclude.m4

%build
cd devil-%{version}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
# actual exr support missing in sources, only adds undefined symbol
CPPFLAGS="%{rpmcppflags} -DIL_NO_EXR"
%configure \
	--enable-ILU=yes \
	--enable-ILUT=yes \
	%{?debug:--disable-release}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C devil-%{version} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc devil-%{version}/{AUTHORS,CREDITS,ChangeLog,README.unix}
%attr(755,root,root) %{_libdir}/libIL.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libIL.so.1
%attr(755,root,root) %{_libdir}/libILU.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libILU.so.1
%attr(755,root,root) %{_libdir}/libILUT.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libILUT.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libIL.so
%attr(755,root,root) %{_libdir}/libILU.so
%attr(755,root,root) %{_libdir}/libILUT.so
%{_libdir}/libIL.la
%{_libdir}/libILU.la
%{_libdir}/libILUT.la
%{_includedir}/IL

%files doc
%defattr(644,root,root,755)
%doc DevIL*.pdf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: DevIL.spec,v $
Revision 1.32  2010/05/16 11:15:52  sparky
- BR: pkgconfig
- dropped no longer used BR: which

Revision 1.31  2010/04/21 13:44:37  lisu
- TODO

Revision 1.30  2010/04/21 13:43:25  lisu
- -gnu-inline.patch updated
- rel 1

Revision 1.29  2010/04/21 13:38:00  lisu
- -link.patch obsoleted
- fix apply libpng14.patch

Revision 1.28  2010/04/21 13:35:33  lisu
- -c++.patch is now obsolete
- clean up

Revision 1.27  2010/04/21 13:32:41  lisu
- start update to 1.7.8
- link with -lpng instead of -lpng12
- force build ILU and ILUT
- nfy (see TODO)

Revision 1.26  2010/03/17 08:27:33  lisu
- rel 5

Revision 1.25  2010/02/09 23:27:57  sls
- added libpng14.patch (and undos related sources)
- rel. 4

Revision 1.24  2010/01/28 13:09:24  amateja
- release 3

Revision 1.23  2009/11/27 02:01:20  sparky
- BR: which (won't find libpng without it)

Revision 1.22  2009/07/12 13:14:55  arekm
- release 2

Revision 1.21  2008/10/22 21:53:12  qboosh
- added gnu-inline patch (fixes build with gcc < 4.3)

Revision 1.20  2008/10/22 17:01:22  qboosh
- updated to 1.7.2
- updated c++ patch, removed obsolete typo patch, added link patch

Revision 1.19  2007/05/27 20:24:44  qboosh
- added c++ patch (needed to use headers with g++ 4.2)
- release .2

Revision 1.18  2007/05/27 18:31:56  qboosh
- removed obsolete link patch

Revision 1.17  2007/02/12 21:21:30  glen
- tabs in preamle

Revision 1.16  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.15  2007/01/31 13:37:15  ankry
- updated to rc2; builds on Ac, not tested

Revision 1.14  2006/07/18 07:46:27  jackass
- new version 1.6.8-RC1

Revision 1.13  2006/05/01 11:54:56  zbyniu
- Group: Documentation for -doc

Revision 1.12  2006/04/16 20:49:52  qboosh
- added link patch to avoid *.la/-L poisoning
- require allegro >= 4.1.16 to avoid undefined _mangled_main_address

Revision 1.11  2006/04/15 13:48:00  blekot
- more %files
- rel 0.2

Revision 1.10  2004/12/11 18:20:58  qboosh
- cleanup, strict internal dep

Revision 1.9  2004/12/11 15:56:14  adamg
- call ldconfig in post/postun

Revision 1.8  2004/12/11 15:03:08  adamg
- updated to 1.6.7
- docs updated to 1.6.5
- commented out libtoolize/ac* calls in %%build - there is something
  broken - see ToDo

Revision 1.7  2004/08/09 21:39:37  averne
- refresh config.sub
- rel 2

Revision 1.6  2003/12/18 23:25:21  undefine
- update to 1.6.6, BR: unzip

Revision 1.5  2003/07/08 09:22:26  ankry
- switch to versioned docs: they seem to be newer

Revision 1.4  2003/07/06 23:27:13  blues
- many small fixes, mostly inpired by kloczek

Revision 1.3  2003/05/26 16:24:18  malekith
- massive attack: adding Source-md5

Revision 1.2  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/04/21 11:26:42  wolf
- new
